Why can't I DL the airport extreme setup software?

Discussion in 'Mac Basics and Help' started by TraceyS/FL, Jun 3, 2007.

  1. TraceyS/FL macrumors 601

    Joined:
    Jan 11, 2007
    Location:
    North Central Florida
    #1
    ACK.

    I don't have the disk - it's 22 miles away. I was going to set up a shared printer, but well, have a problem since i don't have the correct version of the Utility. It wont' upgrade mine to the one that works with my N version.

    I understand why i probably can't - security/hacking.

    But i'm hoping i'm looking in the wrong place?!?!

    Thanks -
    tracey
     
  2. Eidorian macrumors Penryn

    Eidorian

    Joined:
    Mar 23, 2005
    Location:
    Indianapolis
  3. Nermal Moderator

    Nermal

    Staff Member

    Joined:
    Dec 7, 2002
    Location:
    New Zealand
  4. TraceyS/FL thread starter macrumors 601

    Joined:
    Jan 11, 2007
    Location:
    North Central Florida
    #4
    You know the Extreme. WHY doesn't it have a different name? It's confusing....

    The newest one - Extreme N. Cute little square thing ;)
     
  5. Eidorian macrumors Penryn

    Eidorian

    Joined:
    Mar 23, 2005
    Location:
    Indianapolis
    #5
    The installer that you download has never worked for me. I don't own an N version of the Extreme but what if you do? :rolleyes:
     
  6. TraceyS/FL thread starter macrumors 601

    Joined:
    Jan 11, 2007
    Location:
    North Central Florida
    #6
    I can only find an upgrade to DL - only it won't go from v4 to v5. Makes it kinda useless to me. v4 came on my computer, the Extreme came with a disk, but I didn't think to grab it from my Dad last week. We set it up with his MacPro, and just never used my MBP with it.

    I need v5 to manage the thing though.....
     

Share This Page